Summary:       DjVu viewer
Name:          djview4
Version:       4.9
Release:       6%{?dist}
License:       GPLv2+
Group:         Applications/Publishing
URL:           http://djvu.sourceforge.net/djview4.html
Source:        http://downloads.sourceforge.net/project/djvu/DjView/%{version}/djview-%{version}.tar.gz
Patch1:        djview-4.8-include.patch
Patch2:        djview4-aarch64.patch
BuildRequires: qt-devel >= 4.2 
BuildRequires: desktop-file-utils
BuildRequires: djvulibre-devel >= 3.5.19 
# For plugin, see #756950
BuildRequires: glib2-devel

%description 
DjView4 is a DjVu document viewer with the following features:
 o continuous scrolling of pages
 o side-by-side display of pages
 o display thumbnails as a grid
 o display outlines
 o page names supported
 o metadata dialog

It's based on DjVuLibre and Qt4.

%package       plugin
Summary:       Browser plugin for DjVu viewer
Group:         Applications/Publishing
Requires:      %{name} = %{version}-%{release}

%description   plugin
This package provides a browser plugin for the DjVu document viewer.

%prep
%setup -q 
%patch1 -p1
%patch2 -p1
%{__sed} -i -e '1 d' desktopfiles/djvulibre-djview4.desktop

%build
QTDIR=%{_libdir}/qt4 QMAKE=qmake-qt4 %configure --enable-nsdejavu
%{__make} %{?_smp_mflags}

%install
%{__make} DESTDIR=%{buildroot} INSTALL="%{__install} -p" \
    install-djview install-nsdejavu plugindir=%{_libdir}/mozilla/plugins

# djview is taken from djvulibre
%{__rm} %{buildroot}%{_bindir}/djview %{buildroot}%{_mandir}/man1/djview.1*

# desktop file
%{__install} -p -m 0644 -D desktopfiles/hi32-djview4.png \
    %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/djvulibre-djview4.png
mv desktopfiles/djvulibre-djview4.desktop desktopfiles/djvulibre-djview4.desktop.orig
echo "[Desktop Entry]" > desktopfiles/djvulibre-djview4.desktop
cat desktopfiles/djvulibre-djview4.desktop.orig >> desktopfiles/djvulibre-djview4.desktop
rm -f desktopfiles/djvulibre-djview4.desktop.orig
desktop-file-install --dir %{buildroot}%{_datadir}/applications \
    desktopfiles/djvulibre-djview4.desktop

%post
update-mime-database %{_datadir}/mime &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
update-mime-database %{_datadir}/mime &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%doc COPYRIGHT COPYING NEWS README
%{_bindir}/%{name}
%dir %{_datadir}/djvu
%{_datadir}/djvu/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/djvulibre-%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/djvulibre-%{name}.png

%files plugin
%{_libdir}/mozilla
%{_mandir}/man1/nsdejavu.1*

%changelog
* Fri Sep 05 2014 Marcin Juszkiewicz <mjuszkiewicz@redhat.com> - 4.9-6
- Add AArch64 support

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 24 2013 François Cami <fcami@fedoraproject.org> - 4.9-2
- remove all traces of djview-4.8-swap.patch.

* Thu May 23 2013 François Cami <fcami@fedoraproject.org> - 4.9-1
- new upstream release
- drop "-n djview-%{version}" during setup, the new tarball expands to %{name}-%{version}
- remove djview-4.8-swap.patch
- add a header to djvulibre-djview4.desktop

* Sat Feb 23 2013 Rahul Sundaram <sundaram@fedoraproject.org> - 4.8-9
- remove vendor tag from desktop file. https://fedorahosted.org/fpc/ticket/247
- clean up spec to follow current guidelines

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 29 2011 Terje Rosten <terje.rosten@ntnu.no> - 4.8-5
- Add glib2 to buildreq

* Tue Nov 29 2011 Terje Rosten <terje.rosten@ntnu.no> - 4.8-4
- Build with correct options

* Mon Nov 28 2011 Terje Rosten <terje.rosten@ntnu.no> - 4.8-3
- Enable browser plugin
- Add patch to fix includes for plugin

* Mon Oct 03 2011 Terje Rosten <terje.rosten@ntnu.no> - 4.8-2
- Add patch to build with newer gcc

* Fri Sep 30 2011 Terje Rosten <terje.rosten@ntnu.no> - 4.8-1
- 4.8

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 29 2011 Terje Rosten <terje.rosten@ntnu.no> - 4.6-1
- 4.6

* Sun Dec 06 2009 Terje Rosten <terje.rosten@ntnu.no> - 4.5-1
- 4.5

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb  8 2009 Terje Rosten <terje.rosten@ntnu.no> - 4.4-1
- 4.4
- Own all dirs

* Sat Jan 17 2009 Rakesh Pandit <rakesh@fedoraproject.org> - 4.3-3
- Rebuild with new djvulibre

* Tue Aug 12 2008 Terje Rosten <terje.rosten@ntnu.no> - 4.3-2
- Add gtk-update-icon-cache scriptlet

* Fri Apr 25 2008 Terje Rosten <terje.rosten@ntnu.no> - 4.3-1
- 4.3
- Loads of fixes

* Sat Jan 27 2007 Leon Bottou <leonb@users.sourceforge.net> 4.0-1
- initial release.

